import { QueryBase } from '@mobicoop/ddd-library';
import {
  Action,
  ContextItem,
  Domain,
} from '@modules/authorization/core/domain/authorization.types';

export class DecisionQuery extends QueryBase {
  readonly domain: Domain;
  readonly action: Action;
  readonly context?: ContextItem[];

  constructor(domain: Domain, action: Action, context?: ContextItem[]) {
    super();
    this.domain = domain;
    this.action = action;
    this.context = context;
  }
}
