import { EncryptionAlgorithm } from '../../domain/username.types';

export abstract class PasswordEncrypterPort {
  constructor(protected readonly encryptionAlgorithm: EncryptionAlgorithm) {}
  abstract encrypt(plainPassword: string): Promise<string>;
}
