export interface UsernameProps extends NameProps {
  userId: string;
}

export interface CreateUsernameProps extends NameProps {
  userId: string;
}

export interface NameProps {
  name: string;
  type: Type;
}

export interface UpdateUsernameProps {
  name: string;
}

export enum Type {
  EMAIL = 'EMAIL',
  PHONE = 'PHONE',
}

export enum EncryptionAlgorithm {
  BCRYPT = 'BCRYPT',
  ARGON2I = 'ARGON2I',
  ARGON2D = 'ARGON2D',
  ARGON2ID = 'ARGON2ID',
}
